MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026874Community[OCCT] OCCT:Modeling Algorithmspublic2015-11-16 08:052017-09-29 16:25
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0026874: Implementation of the Splitter operator in OCCT
DescriptionIn OCCT "Boolean operations" user guid, it mensioned that the Boolean Component contains:
•General Fuse Operator (GFA),
•Boolean Operator (BOA),
•Section Operator (SA),
•Partition Operator (PA).

I can't find partition operator in OCCT. As far as i know, Salome has such operator.

I'm curious, why OCCT don't provide such operator?
Steps To Reproducetestgrid boolean splitter
TagsNo tags attached.
Test case numberboolean splitter
Attached Files

- Relationships
related to 0028179closedbugmaster Open CASCADE Update documentation of Boolean Component 

-  Notes
(0064142)
git (administrator)
2017-03-06 12:56

Branch CR26874 has been created by emv.

SHA-1: 2bb36e3547790a81ff662039cca6c5ae8373fa36


Detailed log of new commits:

Author: emv
Date: Fri Mar 3 15:58:11 2017 +0300

    0026874: Implementation of the Partition operator in OCCT
    
    1. The partition operation allows splitting an arbitrary number of shapes of an arbitrary dimension
    by other arbitrary shapes. The algorithm has been implemented in the class BOPAlgo_Splitter.
    
    2. The draw command for usage the new algorithm has been implemented - bsplit. It should be used after Pave Filler is filled.
    
    3. Test cases for the new algorithm.
    
    4. Documentation has been updated.
(0064143)
emv (developer)
2017-03-06 12:57

Dear Mikhail, could you please review the git branch CR26874?
(0064212)
msv (developer)
2017-03-09 17:32

Remarks:

dox\user_guides\boolean_operations\boolean_operations.md
- Add usage of the partition operator in "Usage" section.

Add the class BRepAlgoAPI_Splitter as partition operator.

Is it right that if we perform splitter algo with filler then we do not need to provide the algo with tools?

Please move new tests from bugs to new category in boolean directory.
(0064261)
git (administrator)
2017-03-13 11:41

Branch CR26874_1 has been created by emv.

SHA-1: 50ad891bd54e48e38e5f28fd53333d1661f53140


Detailed log of new commits:

Author: emv
Date: Fri Mar 3 15:58:11 2017 +0300

    0026874: Implementation of the Partition operator in OCCT
    
    1. The partition operation allows splitting an arbitrary number of shapes of an arbitrary dimension
    by other arbitrary shapes. The algorithm has been implemented in the class BOPAlgo_Splitter.
    
    The API operator Splitter has been implemented in the class BRepAlgoAPI_Splitter.
    
    2. The draw commands for usage the new algorithm have been implemented - bsplit and bapisplit.
    The commands are identical, but one uses the BOPAlgo_Splitter, the other uses BRepAlgoAPI_Splitter.
    Both commands should be used after Pave Filler is filled.
    
    3. Test cases for the new algorithm.
    
    4. Documentation has been updated.
(0064262)
emv (developer)
2017-03-13 11:42

Dear Mikhail, could you please review the git branch CR26874_1?
(0064274)
git (administrator)
2017-03-13 15:43

Branch CR26874_1 has been updated by emv.

SHA-1: 7b801b5b149d52f1dc97d965bafec335e4bd7403


Detailed log of new commits:

Author: emv
Date: Mon Mar 13 15:43:28 2017 +0300

    Small corrections.

(0064275)
msv (developer)
2017-03-13 15:45

Reviewed.
(0064337)
apv (tester)
2017-03-15 12:47
edited on: 2017-03-15 12:48

Dear BugMaster,

Branch CR26874_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 7b801b5b149d52f1dc97d965bafec335e4bd7403

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1195

Regressions/Differences:
Not detected

Testing cases:
Boolean splitter - OK
http://occt-tests/CR26874_1-master-OCCT/Debian70-64/summary.html#boolean-splitter [^]
http://occt-tests/CR26874_1-master-OCCT/Windows-64-VC10/summary.html#boolean-splitter [^]

Testing on Linux:
Total MEMORY difference: 93034588 / 92352215 [+0.74%]
Total CPU difference: 20065.58000000013 / 19840.8900000004 [+1.13%]

Testing on Windows:
Total MEMORY difference: 57669430 / 57663643 [+0.01%]
Total CPU difference: 18594.49239469851 / 18635.5206576986 [-0.22%]

(0064447)
git (administrator)
2017-03-20 14:32

Branch CR26874_1 has been deleted by inv.

SHA-1: 7b801b5b149d52f1dc97d965bafec335e4bd7403
(0064451)
git (administrator)
2017-03-20 14:32

Branch CR26874 has been deleted by inv.

SHA-1: 2bb36e3547790a81ff662039cca6c5ae8373fa36

- Related Changesets
occt: master c58055ad
Timestamp: 2017-03-03 12:58:11
Author: emv
Committer: bugmaster
Details ] Diff ]
0026874: Implementation of the Partition operator in OCCT

1. The partition operation allows splitting an arbitrary number of shapes of an arbitrary dimension
by other arbitrary shapes. The algorithm has been implemented in the class BOPAlgo_Splitter.

The API operator Splitter has been implemented in the class BRepAlgoAPI_Splitter.

2. The draw commands for usage the new algorithm have been implemented - bsplit and bapisplit.
The commands are identical, but one uses the BOPAlgo_Splitter, the other uses BRepAlgoAPI_Splitter.
Both commands should be used after Pave Filler is filled.

3. Test cases for the new algorithm.

4. Documentation has been updated.

Small corrections.
mod - dox/user_guides/boolean_operations/boolean_operations.md Diff ] File ]
add - dox/user_guides/boolean_operations/images/bsplit_image001.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/bsplit_image002.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/bsplit_image003.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/bsplit_image004.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/bsplit_image005.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/bsplit_image006.png Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image065.png Diff ] File ]
rm - dox/user_guides/boolean_operations/images/operations_image065.svg Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Splitter.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Splitter.hxx Diff ] File ]
mod - src/BOPAlgo/FILES Diff ] File ]
mod - src/BOPTest/BOPTest_APICommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_Objects.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_Objects.hxx Diff ] File ]
mod - src/BOPTest/BOPTest_PartitionCommands.cxx Diff ] File ]
add - src/BRepAlgoAPI/BRepAlgoAPI_Splitter.cxx Diff ] File ]
add - src/BRepAlgoAPI/BRepAlgoAPI_Splitter.hxx Diff ] File ]
mod - src/BRepAlgoAPI/FILES Diff ] File ]
mod - tests/boolean/grids.list Diff ] File ]
add - tests/boolean/splitter/A1 Diff ] File ]
add - tests/boolean/splitter/A2 Diff ] File ]
add - tests/boolean/splitter/A3 Diff ] File ]
add - tests/boolean/splitter/A4 Diff ] File ]
add - tests/boolean/splitter/A5 Diff ] File ]
add - tests/boolean/splitter/A6 Diff ] File ]
add - tests/boolean/splitter/B1 Diff ] File ]
add - tests/boolean/splitter/B2 Diff ] File ]
add - tests/boolean/splitter/B3 Diff ] File ]
add - tests/boolean/splitter/B4 Diff ] File ]
add - tests/boolean/splitter/B5 Diff ] File ]
add - tests/boolean/splitter/B6 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-16 08:05 Vico Liang New Issue
2015-11-16 08:05 Vico Liang Assigned To => msv
2015-11-16 12:57 msv Target Version 7.0.0 => 7.1.0
2016-10-28 17:03 msv Target Version 7.1.0 => 7.2.0
2017-02-20 11:29 msv Assigned To msv => emv
2017-02-20 11:29 msv Status new => assigned
2017-03-03 15:53 emv Summary Implement Partition operator in OCCT. => Implementation of the Partition operator in OCCT
2017-03-06 12:56 git Note Added: 0064142
2017-03-06 12:57 emv Note Added: 0064143
2017-03-06 12:57 emv Assigned To emv => msv
2017-03-06 12:57 emv Status assigned => resolved
2017-03-06 12:57 emv Steps to Reproduce Updated View Revisions
2017-03-09 17:32 msv Note Added: 0064212
2017-03-09 17:32 msv Assigned To msv => emv
2017-03-09 17:32 msv Status resolved => assigned
2017-03-13 11:41 git Note Added: 0064261
2017-03-13 11:42 emv Note Added: 0064262
2017-03-13 11:42 emv Assigned To emv => msv
2017-03-13 11:42 emv Status assigned => resolved
2017-03-13 11:42 emv Steps to Reproduce Updated View Revisions
2017-03-13 15:43 git Note Added: 0064274
2017-03-13 15:45 msv Note Added: 0064275
2017-03-13 15:45 msv Assigned To msv => bugmaster
2017-03-13 15:45 msv Status resolved => reviewed
2017-03-13 16:01 apv Assigned To bugmaster => apv
2017-03-15 11:44 apv Test case number => boolean splitter
2017-03-15 12:47 apv Note Added: 0064337
2017-03-15 12:47 apv Assigned To apv => bugmaster
2017-03-15 12:47 apv Status reviewed => tested
2017-03-15 12:48 apv Note Edited: 0064337 View Revisions
2017-03-17 14:28 bugmaster Changeset attached => occt master c58055ad
2017-03-17 14:28 bugmaster Status tested => verified
2017-03-17 14:28 bugmaster Resolution open => fixed
2017-03-20 14:32 git Note Added: 0064447
2017-03-20 14:32 git Note Added: 0064451
2017-04-05 08:00 emv Relationship added related to 0028179
2017-05-19 14:10 abv Summary Implementation of the Partition operator in OCCT => Implementation of the Splitter operator in OCCT
2017-09-29 16:18 aiv Fixed in Version => 7.2.0
2017-09-29 16:25 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker